echo "$as_me:$LINENO: checking for libraries directory" >&5
echo $ECHO_N "checking for libraries directory... $ECHO_C" >&6
-if test "${wx_cv_std_libpath+set}" = set; then
+
+case "${host}" in
+ *-*-irix6* )
+ if test "${wx_cv_std_libpath+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- for d in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64; do
- for e in a so sl dylib dll.a; do
- libc="$d/libc.$e"
- if test -f $libc; then
- save_LIBS="$LIBS"
- LIBS="$libc"
- cat >conftest.$ac_ext <<_ACEOF
+ for d in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64; do
+ for e in a so sl dylib dll.a; do
+ libc="$d/libc.$e"
+ if test -f $libc; then
+ save_LIBS="$LIBS"
+ LIBS="$libc"
+ cat >conftest.$ac_ext <<_ACEOF
int main() { return 0; }
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
- LIBS="$save_LIBS"
- if test "x$wx_cv_std_libpath" != "x"; then
- break 2
- fi
+ LIBS="$save_LIBS"
+ if test "x$wx_cv_std_libpath" != "x"; then
+ break 2
+ fi
+ fi
+ done
+ done
+ if test "x$wx_cv_std_libpath" = "x"; then
+ wx_cv_std_libpath="lib"
fi
- done
- done
- if test "x$wx_cv_std_libpath" = "x"; then
+
+
+fi
+
+ ;;
+
+ *-*-solaris2* )
+ if test "$ac_cv_sizeof_void_p" = 8 -a -d "/usr/lib/64"; then
+ wx_cv_std_libpath="lib/64"
+ else
+ wx_cv_std_libpath="lib"
+ fi
+ ;;
+
+ *-*-linux* )
+ if test "$ac_cv_sizeof_void_p" = 8 -a \
+ -d "/usr/lib64" -a ! -h "/usr/lib64"; then
+ wx_cv_std_libpath="lib64"
+ else
wx_cv_std_libpath="lib"
fi
+ ;;
+ *)
+ wx_cv_std_libpath="lib";
+ ;;
+esac
-fi
echo "$as_me:$LINENO: result: $wx_cv_std_libpath" >&5
echo "${ECHO_T}$wx_cv_std_libpath" >&6
-SEARCH_LIB=`echo "$SEARCH_INCLUDE" | sed s@include@$wx_cv_std_libpath@g`
+SEARCH_LIB="`echo "$SEARCH_INCLUDE" | sed s@include@$wx_cv_std_libpath@g` /usr/$wx_cv_std_libpath"
if test "$build" != "$host" -a "$GCC" = yes; then
if cross_root=`$CC -print-prog-name=ld 2>/dev/null`; then
fi
if test -z "$x_libraries" -o "$x_libraries" = NONE; then
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libXt.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
x_libraries=$ac_find_libraries
fi
fi
fi
wx_cv_lib_gtk=
- if test "x$wxGTK_VERSION" != "x1"; then
+ if test "x$wxGTK_VERSION" != "x1"
+ then
+ case "${host}" in
+ *-*-solaris2* )
+ if test "$wxUSE_THREADS" = "yes" -a "$GCC" = yes; then
+ enable_gtktest=no
+ fi
+ esac
+
# Check whether --enable-gtktest or --disable-gtktest was given.
if test "${enable_gtktest+set}" = set; then
enableval="$enable_gtktest"
rm -f conf.gtktest
+
+ case "${host}" in
+ *-*-solaris2* )
+ if test "$wxUSE_THREADS" = "yes" -a "$GCC" = yes; then
+ GTK_CFLAGS=`echo $GTK_CFLAGS | sed 's/-mt//'`
+ GTK_LIBS=`echo $GTK_LIBS | sed 's/-mt//'`
+ fi
+ if test "$wxUSE_SHARED" != "yes"; then
+ GTK_LIBS="$GTK_LIBS -lX11"
+ fi
+ esac
fi
if test -z "$wx_cv_lib_gtk"; then
echo "$as_me:$LINENO: checking for gpewidget library" >&5
echo $ECHO_N "checking for gpewidget library... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libgpewidget.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "$ac_find_libraries" != "" ; then
if test "$ac_find_libraries" = "default location"; then
echo "$as_me:$LINENO: checking for Motif/Lesstif library" >&5
echo $ECHO_N "checking for Motif/Lesstif library... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libXm.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "x$ac_find_libraries" != "x" ; then
echo "$as_me:$LINENO: result: found in $ac_find_libraries" >&5
else
save_CFLAGS=$CFLAGS
CFLAGS="$CFLAGS $TOOLKIT_INCLUDE"
+ save_LIBS="$LIBS"
+ LIBS="$GUI_TK_LIBRARY -lXm -lXmu -lXext -lX11"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
sed 's/^/| /' conftest.$ac_ext >&5
- echo "$as_me:$LINENO: result: no" >&5
+ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
- { { echo "$as_me:$LINENO: error: please set LDFLAGS to contain the location of libXm" >&5
+ { { echo "$as_me:$LINENO: error: please set LDFLAGS to contain the location of libXm" >&5
echo "$as_me: error: please set LDFLAGS to contain the location of libXm" >&2;}
{ (exit 1); exit 1; }; }
conftest$ac_exeext conftest.$ac_ext
CFLAGS=$save_CFLAGS
+ LIBS="$save_LIBS"
fi
echo "$as_me:$LINENO: checking if we need -lXp and/or -lSM -lICE" >&5
echo "$as_me:$LINENO: checking for Xpm library" >&5
echo $ECHO_N "checking for Xpm library... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libXpm.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "$ac_find_libraries" != "" ; then
if test "$ac_find_libraries" = "default location"; then
echo "$as_me:$LINENO: checking for Xinerama" >&5
echo $ECHO_N "checking for Xinerama... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libXinerama.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "$ac_find_libraries" != "" ; then
if test "$ac_find_libraries" = "default location"; then
echo "$as_me:$LINENO: checking for Xxf86vm extension" >&5
echo $ECHO_N "checking for Xxf86vm extension... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libXxf86vm.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "$ac_find_libraries" != "" ; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
echo "$as_me:$LINENO: checking for -lGL" >&5
echo $ECHO_N "checking for -lGL... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libGL.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "$ac_find_libraries" != "" ; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
echo "$as_me:$LINENO: checking for -lGLU" >&5
echo $ECHO_N "checking for -lGLU... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libGLU.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "$ac_find_libraries" != "" ; then
if test "$ac_find_libraries" = "default location"; then
echo "$as_me:$LINENO: checking for -lMesaGL" >&5
echo $ECHO_N "checking for -lMesaGL... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libMesaGL.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "$ac_find_libraries" != "" ; then
if test "$ac_find_libraries" = "default location"; then
sed 's/^/| /' conftest.$ac_ext >&5
- CFLAGS_OLD="$CFLAGS"
+ CXXFLAGS_OLD="$CXXFLAGS"
if test "$GCC" = yes ; then
- CFLAGS="$CFLAGS -Werror"
+ CXXFLAGS="$CXXFLAGS -Werror"
fi
cat >conftest.$ac_ext <<_ACEOF
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- CFLAGS="$CFLAGS_OLD"
+ CXXFLAGS="$CXXFLAGS_OLD"
fi
sed 's/^/| /' conftest.$ac_ext >&5
- CFLAGS_OLD="$CFLAGS"
+ CXXFLAGS_OLD="$CXXFLAGS"
if test "$GCC" = yes ; then
- CFLAGS="$CFLAGS -Werror"
+ CXXFLAGS="$CXXFLAGS -Werror"
fi
cat >conftest.$ac_ext <<_ACEOF
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- CFLAGS="$CFLAGS_OLD"
+ CXXFLAGS="$CXXFLAGS_OLD"
fi
echo "$as_me:$LINENO: checking for gstplay 0.8" >&5
echo $ECHO_N "checking for gstplay 0.8... $ECHO_C" >&6
-
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
done
done
- if test "x$ac_find_libraries" = "x" ; then
-
- ac_find_libraries=
- for ac_dir in /usr/lib /usr/lib32 /usr/lib/64 /usr/lib64;
- do
- for ac_extension in a so sl dylib dll.a; do
- if test -f "$ac_dir/libgstplay-0.8.$ac_extension"; then
- ac_find_libraries=$ac_dir
- break 2
- fi
- done
- done
-
- if test "x$ac_find_libraries" != "x" ; then
- ac_find_libraries="default location"
- fi
- fi
-
if test "$ac_find_libraries" = "" ; then
echo "$as_me:$LINENO: result: no" >&5
esac
fi
-GCC_PRAGMA_FLAGS=""
-PCH_FLAGS=""
-
if test $GCC_PCH = 1 ; then
- PCH_FLAGS="-DWX_PRECOMP"
- GCC_PRAGMA_FLAGS="-DNO_GCC_PRAGMA"
-else
- if test "$GCC" = yes; then
- echo "$as_me:$LINENO: checking if this GCC version is >= 4.0 and needs -DNO_GCC_PRAGMA" >&5
-echo $ECHO_N "checking if this GCC version is >= 4.0 and needs -DNO_GCC_PRAGMA... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-int
-main ()
-{
-#if (__GNUC__ < 4)
- Not GCC 4.0 or greater
- #endif
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- GCC_PRAGMA_FLAGS="-DNO_GCC_PRAGMA"
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
- case "${host}" in
- *-*-darwin* )
- GCC_PRAGMA_FLAGS="-DNO_GCC_PRAGMA"
- ;;
- *-*-mingw32* )
- if test "$wxUSE_STL" = "yes" -o \
- "$wxUSE_NO_EXCEPTIONS" != "yes" -o \
- "$wxUSE_NO_RTTI" != "yes"; then
- echo "$as_me:$LINENO: checking if this MinGW version needs -DNO_GCC_PRAGMA" >&5
-echo $ECHO_N "checking if this MinGW version needs -DNO_GCC_PRAGMA... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-int
-main ()
-{
-#if !(__GNUC__ > 3 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2))
- Not GCC 3.2 or greater
- #endif
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- GCC_PRAGMA_FLAGS="-DNO_GCC_PRAGMA"
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- ;;
- *-pc-os2_emx | *-pc-os2-emx )
- if test "$wxUSE_STL" = "yes"; then
- echo "$as_me:$LINENO: checking if this gcc version needs -DNO_GCC_PRAGMA" >&5
-echo $ECHO_N "checking if this gcc version needs -DNO_GCC_PRAGMA... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-int
-main ()
-{
-#if !(__GNUC__ > 3 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2))
- Not GCC 3.2 or greater
- #endif
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- GCC_PRAGMA_FLAGS="-DNO_GCC_PRAGMA"
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- ;;
- esac
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
+ CPPFLAGS="-DWX_PRECOMP $CPPFLAGS"
fi
-CPPFLAGS="$PCH_FLAGS $GCC_PRAGMA_FLAGS $CPPFLAGS"
SAMPLES_SUBDIRS="`echo $SAMPLES_SUBDIRS | tr -s ' ' | tr ' ' '\n' | sort | uniq | tr '\n' ' '| tr -d '\r'`"